%define version 0.3.14
%define release %mkrel 2

%define pkgname autoconvert
%define lib_major 0
%define libname %mklibname hz %{lib_major}

Summary:	Chinese HZ/GB/BIG5 encodings auto-converter
Name:		zh-autoconvert
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
URL:		http://banyan.dlut.edu.cn/~ygh/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://banyan.dlut.edu.cn/pub/PEOPLE/saka/%{pkgname}-%{version}.tar.bz2
Source1:	ftp://banyan.dlut.edu.cn/pub/PEOPLE/saka/%{pkgname}-%{version}.tar.gz.asc
Patch0:		autoconvert-0.3.14-noxchat.patch.bz2

Patch2:         autoconvert-0.3.14-gcc4.patch.bz2

Obsoletes:	%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	locales-zh

%description
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.


%package	-n %{libname}
Summary:	Main libraries of %{name}
Group:		System/Libraries

%description	-n %{libname}
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.

%package	-n %{libname}-devel
Summary:	Headers and development files of %{name}
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhz-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libname}-devel
AutoConvert is an intelligent Chinese Encoding converter. It uses built-in
functions to judge the type of the input file's Chinese Encoding (such as
GB/Big5/HZ), then converts the input file to any type of Chinese Encoding
you want.  You can use autoconvert to automatically convert incoming e-mail
messages. It can also optionally handle the UNI/UTF7/UTF8 encoding.
    

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .noxchat
%patch2 -p1 -b .gcc4_fix
rm -rf doc/CVS

%build
# stupid, isn't it?
make CFLAG='%optflags -Wall -Iinclude' CFLAGS='%optflags -Wall -I../include'

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/ ChangeLog GPL LICENSE Readme TODO Thanks 
%doc procmailrc.example hz.txt contrib/*.pl
%{_bindir}/autob5
%{_bindir}/autogb

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libhz.so.0
%{_libdir}/libhz.so.0.0

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/zhstatis.h
%{_includedir}/hz.h
%{_libdir}/libhz.a
%{_libdir}/libhz.so

%changelog
* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.14-2mdk
- Add Patch2  Fix Build with gcc4
- mkrel
- remove shed.big5, shed.gb, shed.uni, shed.utf7, shed.utf8
         - Close ticket 15811

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.3.14-1mdk
- Managed to dig out a new version
- Remove P0 (use make variable instead), and P1 (upstream)
- Simplify install procedure
- New patch0: don't build obsolete xchat plugin

* Sat Aug 23 2003 Abel Cheung <deaddog@deaddog.org> 0.3.13-4mdk
- split library
- mklibname
- macros
- Disable making xchat plugin, it's for old xchat
- rpmlint fixes

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.13-3mdk
- fix gcc-3.3 patch (P1)

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.13-2mdk
- rebuild
- fix build with gcc-3.3 (P1)

* Fri Sep 14 2001 Geoffrey Lee <snaitlalk@mandrakesoft.com> 0.3.13-1mdk
- 0.3.13.
- Requires locales-zh.

* Tue Jun 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.9-2mdk
- BuildRequires:	gtk+-devel

* Mon Mar 26 2001 Andrew Lee <andrew@linux.org.tw> 0.3.9-1mdk
- refine spec file to mandrake policy
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Obsoletes: autoconvert.
  - Use optflags.
  
* Wed Feb  7 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.9

* Tue Jan  9 2001 Andrew Lee <andrew@linux.org.tw>
- 0.3.8

* Sun Jan  7 2001 Andrew Lee <andrew@linux.org.tw>
- change package name to zh-autoconvert
- added a patch fixed unicode problem
- move xchat plugin to /usr/share/autoconvert

* Sat Jan  6 2001 Andrew Lee <andrew@linux.org.tw>
- update to 0.3.7
- added xchat plugins in package autoconvert-xchat

* Sat Nov 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Add English description .
- example files

* Tue Dec 28 1999 Andrew Lee <andrew@cle.linux.org.tw>
- First .spec
